%global    contentdir /var/www
%global    mVersion   2.01
%global    lVersion   10
%global    use_xhtml_out 0
%global    momorel 12

Summary:   The Webalizer - A web server log file analysis thingie
Name:      webalizer
Version:   %{mVersion}.%{lVersion}
Release:   %{momorel}m
URL:       http://www.mrunix.net/webalizer/
Source:    ftp://ftp.mrunix.net/pub/webalizer/%{name}-%{mVersion}-%{lVersion}-src.tar.bz2
Source1:   webalizer.crontab
Source2:   webalizer.gif
Patch0:    %{name}-2.01-06-conf.patch
# Patch1:    http://www.on.cs.keio.ac.jp/~yasu/linux/webalizer/%{name}-%{mVersion}-%{lVersion}-jp.patch
Patch1:    %{name}-2.01-09-jp.patch
Patch2:    %{name}-2.01-09-multilingual-logs.patch
Patch3:    %{name}-2.01-06-gd2.patch
Patch4:	   %{name}-2.01-06-db.patch
## Patch5:    %{name}-2.01-06-hourly.patch
Patch6:		%{name}-2.01-10-xhtml-output.patch
License:   GPL
Group:     Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gd-devel >= 1.8.4-6k
BuildRequires: libpng-devel >= 1.2.2
BuildRequires: db4-devel
NoSource:  0

%description
The Webalizer is a web server log file analysis program which produces
usage statistics in HTML format for viewing with a browser.  The results
are presented in both columnar and graphical format, which facilitates
interpretation.  Yearly, monthly, daily and hourly usage statistics are
presented, along with the ability to display usage by site, URL, referrer,
user agent (browser) and country (user agent and referrer are only
available if your web server produces combined log format files).

%prep
%setup -q -n %{name}-%{mVersion}-%{lVersion}
%patch -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
# %patch5 -p1
%if %{use_xhtml_out}
%patch6 -p0
%endif
#cp ${RPM_SOURCE_DIR}/%{name}.gif .

%build
autoconf
%configure --with-gd --with-language=japanese --enable-dns
rm webalizer_lang.h
cp webalizer_lang_multilingual.h webalizer_lang.h
make

%install
rm -rf %{buildroot}
install -d %{buildroot}/etc
install -d %{buildroot}/usr/bin
install -d %{buildroot}%{contentdir}/icons
install -d %{buildroot}%{contentdir}/html/usage
install -d %{buildroot}%{_mandir}/man1
install -d %{buildroot}/usr/lib/webalizer_lang
install -m644 sample.conf %{buildroot}/etc/webalizer.conf
install -m755 webalizer %{buildroot}/usr/bin
cp -d         webalizer_lang/lib* %{buildroot}/usr/lib/webalizer_lang
install -m644 webalizer.1 %{buildroot}%{_mandir}/man1/webalizer.1
install -m644 %SOURCE2 %{buildroot}%{contentdir}/icons
# patch -p0 %{buildroot}/etc/webalizer.conf < %{PATCH0}
pushd %{buildroot}%{_bindir}
ln -s webalizer webazolver
popd
install -d %{buildroot}/etc/cron.daily
install -m755 %{SOURCE1} %{buildroot}/etc/cron.daily/webalizer

# config file
mkdir -p %{buildroot}%{_datadir}/config-sample/webalizer
install -m644 sample.conf %{buildroot}%{_datadir}/config-sample/webalizer/webalizer.conf
install -m644 httpd-webalizer.conf %{buildroot}%{_datadir}/config-sample/webalizer/
# cat <<EOF>%{buildroot}%{_datadir}/config-sample/webalizer/webalizer-cron.sh
# #!/bin/sh
# echo "Installing crontab for webalizer..."
# echo "0 0 * * 0 /usr/bin/webalizer" | crontab -
# EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES DNS.README COPYING README* country-codes.txt lang/* multilingual.ja.txt
%config /etc/webalizer.conf
%config /etc/cron.daily/webalizer
%dir %{contentdir}/html/usage
%{_bindir}/*
%{_mandir}/man1/webalizer.1*
%{contentdir}/icons/webalizer.gif
%{_datadir}/config-sample/webalizer
%{_libdir}/webalizer_lang


%changelog
* Tue Jun 29 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.01.10-12m)
- rebuild against db4.2

* Sun Dec 07 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (2.01.10-11m)
- fix to enable DNS lookup
- modify OutputDir in webalizer.conf
- add BuildRequires: db4-devel
- use %%{momorel} macro
- use %%global

* Mon Oct 27 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (2.01.10-10m)
- It corrects so that it may not be dependent on db1.

* Mon Feb 10 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (2.01.10-9m)
- rebuild against httpd-2.0.43

* Mon Jan 20 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.01.10-8m)
- rebuild against for gd

* Mon Aug 12 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.01.10-7m)
- remake patch (%patch6)

* Sun Aug 11 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.01.10-6m)
- remake patch (%patch6)

* Sun Aug 11 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.01.10-5m)
- add patch xhtml output patch.(but, this is not default)

* Tue May 14 2002 Toru Hoshina <t@kondara.org>
- (2.01.10-4k)
- rebuild against HEAD.

* Mon May 13 2002 Toru Hoshina <t@kondara.org>
- (2.01.10-2k)
- ver up.

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.01.09-6k)
- BuildRequires: gd-devel >= 1.8.4-6k

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.01.09-4k)
- rebuild against libpng 1.2.2.

* Mon Jan 07 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.01.09-2k)
- update to 2.01-09
- rework webalizer-2.01-09-jp.patch
- rework webalizer-2.01-09-multilingual-logs.patch
- merge *-hourly.patch to *-multilingual-logs.patch
  (fixed by t@kondara.org in 2.01.06-28k)
- add /etc/crontab.daily/webalizer

* Tue Dec 25 2001 Toru Hoshina <t@kondara.org>
- (2.01.06-28k)
- added hourly patch.

* Mon Dec 03 2001 Motonobu Ichimura <famao@kondara.org>
- (2.01.06-26k)
- move config file to config-sample
- make webalizer-cron.sh not install automatically
- enable dns

* Mon Oct 15 2001 Toru Hoshina <t@kondara.org>
- (2.01.06-22k)
- rebuild against libpng 1.2.0.
- merge from Jirai, so rebuild against gd 1.8.4.

* Sun Oct 8 2001 Hiroki Ata <bxh05251@nifty.com>
- fix not to be created default files(index.html and
- usage_Xxx.html)

* Wed Aug 29 2001 Hiroki Ata <bxh05251@nifty.com>
- (2.01.06-20k)
- upgrade to 2.01-06
- modified and replaced patch files.
- added httpd-webalizer.conf for apache httpd.conf

* Mon May 14 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.30.04-18k)
- modified contentdir to /home/httpd

* Fri Mar 16 2001 Daiki Matsuda <dyky@df-usa.com>
- (1.30.04-17k)
- modified webalizer.conf.patch to use /var/www/html/usage (#859)

* Mon Dec 25 2000 Daiki Matsuda <dyky@df-usa.com>
- (1.30.04-15k)
- fixed for apache-1.3.14 about /var/www (FHS?)

* Mon Jul 17 2000 Hiroki Ata <hata@kondara.org>
- (1.30.04-7k)
- modify Makefile and shell script to create language libraries
- for gcc-2.96.
- modified create_lang_libs.sh, webalizer_lang.shared.c and Makefile
- in directory "lang".

* Mon Jul 10 2000 Hiroki Ata <hata@kondara.org>
- add the feature to report multilingual logs.

* Thu Feb 24 2000 Shingo Akagaki <dora@kondara.org>
- check spec file

* Mon Sep 13 1999 Peter Hanecak <hanecak@megaloman.sk>
  [1.30.04-4]
  rebuild against gd-1.6.3 (now PNG images are used)

* Sun Aug 29 1999 Peter Hanecak <hanecak@megaloman.sk>
  [1.30.04-3]
  source changed to .bz2

* Fri Aug 27 1999 Henri Gomez <gomez@slib.fr>
  [1.30.04-2]
  crontab activated each Sunday at 4:01 AM (just before apache rotate its log)

* Thu Aug 26 1999 Henri Gomez <gomez@slib.fr>
  [1.30-04]
  Big rework of RPM (at least configure support)
  Adapted spec to RPM 3 naming conventions,
  Changed URL
  Added icon
  Corrected -lz
  Adapted /etc/webalizer.conf to Redhat
  New directory usage in /home/httpd/html/usage
  Add month cron in /etc/crontab

* Fri Jan 08 1999 Simon Liddington <sjl96v@ecs.soton.ac.uk>
  [1.20-11]
  Installs manpage
  Config file installed as config

* Mon Jul 27 1998 Arne Coucheron <arneco@online.no>
  [1.20-07]

* Sun Jul 26 1998 Arne Coucheron <arneco@online.no>
  [1.12-10]

* Sun Jun 14 1998 Arne Coucheron <arneco@online.no>
  [1.12-09]

* Sun Jun 07 1998 Arne Coucheron <arneco@online.no>
  [1.12-08]

* Fri Jun 05 1998 Arne Coucheron <arneco@online.no>
  [1.00-05]

* Wed May 27 1998 Arne Coucheron <arneco@online.no>
  [1.00-04]
- using predefined %%{name} and %%{version} macros
- using %defattr macro in file list, this requires rpm 2.5 to build
- installing msfree.gif to /home/httpd/html/usage
- added -q parameter to %setup
- added CHANGES and TODO to %doc

* Fri May 08 1998 Arne Coucheron <arneco@online.no>
  [0.99.06-1]

* Sat Jan 31 1998 Arne Coucheron <arneco@online.no>
- First release
